language: cpp
sudo: required
dist: trusty

os: linux

before_install:
  - sudo add-apt-repository --yes ppa:beineri/opt-qt57-trusty
  - sudo apt-get update -qq
  - curl https://transfer.sh/DHN4B/linuxdeployqt-799f704-x86-64.appimage -o linuxdeployqt.appimage

install:
  - sudo apt-get -y install binutils qt57base qt57quickcontrols qt57quickcontrols2 qt57svg desktop-file-utils
  - sudo install -m 755 -p linuxdeployqt.appimage /usr/local/bin/linuxdeployqt.appimage
  - rm linuxdeployqt.appimage

script:
  - source /opt/qt57/bin/qt57-env.sh
  - sh pkg/build.sh appimage
  - AI=$(ls pkg/build/xdgurl-release-*.AppImage)
  - curl --upload-file "$AI" "https://transfer.sh/$AI"
